Debian Bug report logs - #664718
grub-pc 1.99-18: grub-setup: error: cannot read `/grub/core.img' correctly

version graph

Package: grub-pc; Maintainer for grub-pc is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-pc is src:grub2.

Reported by: Jakub Moc <jakub.moc@gmail.com>

Date: Tue, 20 Mar 2012 08:27:02 UTC

Severity: important

Found in version grub2/1.99-17

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#664718; Package grub-pc. (Tue, 20 Mar 2012 08:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Moc <jakub.moc@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 20 Mar 2012 08:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Moc <jakub.moc@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc 1.99-18: grub-setup: error: cannot read `/grub/core.img' correctly
Date: Tue, 20 Mar 2012 09:24:39 +0100
Package: grub-pc
Version: 1.99-17
Severity: important

/usr/sbin/grub-setup: warn: Attempting to install GRUB to a partitionless disk
or to a partition.  This is a BAD idea..
/usr/sbin/grub-setup: warn: Embedding is not possible.  GRUB can only be
installed in this setup by using blocklists.  However, blocklists are
UNRELIABLE and their use is discouraged..
/usr/sbin/grub-setup: error: cannot read `/grub/core.img' correctly.

This renders the box unbootable. Fixed by downgrading to 1.99-17:

Nastavuji balík grub-common (1.99-17) …
Nastavuji balík grub2-common (1.99-17) …
Nastavuji balík grub-pc-bin (1.99-17) …
Nastavuji balík grub-pc (1.99-17) …
/usr/sbin/grub-setup: warn: Attempting to install GRUB to a partitionless disk
or to a partition.  This is a BAD idea..
/usr/sbin/grub-setup: warn: Embedding is not possible.  GRUB can only be
installed in this setup by using blocklists.  However, blocklists are
UNRELIABLE and their use is discouraged..
Installation finished. No error reported.



-- Package-specific info:

*********************** WARNING grub-setup left core.img in filesystem

*********************** BEGIN /proc/mounts
/dev/mapper/root / btrfs rw,noatime,nodiratime,compress=lzo,space_cache,autodefrag 0 0
/dev/sda5 /boot ext2 rw,noatime,nodiratime,errors=remount-ro,user_xattr,acl 0 0
/dev/mapper/home /home ext4 rw,noatime,nodiratime,errors=remount-ro,user_xattr,barrier=0,data=writeback 0 0
/dev/mapper/dpkg /var/lib/dpkg reiserfs rw,relatime,notail 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/memstick-SA02G_0x22eaeeea
(hd1)	/dev/disk/by-id/ata-FUJITSU_MHY2160BH_K405T822HFRJ
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod part_msdos
insmod ext2
set root='(hd1,msdos5)'
search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
if loadfont /grub/unicode.pf2 ; then
  set gfxmode=1024x768
  load_video
  insmod gfxterm
  insmod part_msdos
  insmod ext2
  set root='(hd1,msdos5)'
  search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
  set locale_dir=($root)/grub/locale
  set lang=cs_CZ
  insmod gettext
fi
terminal_output gfxterm
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod part_msdos
insmod ext2
set root='(hd1,msdos5)'
search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
insmod png
if background_image /grub/linuxmint.png; then
  true
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/06_mint_theme ###
insmod part_msdos
insmod ext2
set root='(hd1,msdos5)'
search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
insmod png
if background_image /grub/linuxmint.png ; then
  set color_normal=white/black
  set color_highlight=white/light-gray
else
  set menu_color_normal=white/black
  set menu_color_highlight=white/light-gray
fi
### END /etc/grub.d/06_mint_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'LinuxMint GNU/Linux, with Linux 3.2.0-10.dmz.1-liquorix-amd64' --class linuxmint --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	echo	'Loading Linux 3.2.0-10.dmz.1-liquorix-amd64 ...'
	linux	/vmlinuz-3.2.0-10.dmz.1-liquorix-amd64 root=/dev/mapper/root ro  quiet splash i915.modeset=1 video=1280x800-24@60 pcie_aspm=force acpi_osi=Linux acpi_apic_instance=2
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-3.2.0-10.dmz.1-liquorix-amd64
}
menuentry 'LinuxMint GNU/Linux, with Linux 3.2.0-10.dmz.1-liquorix-amd64 (recovery mode)' --class linuxmint --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	echo	'Loading Linux 3.2.0-10.dmz.1-liquorix-amd64 ...'
	linux	/vmlinuz-3.2.0-10.dmz.1-liquorix-amd64 root=/dev/mapper/root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-3.2.0-10.dmz.1-liquorix-amd64
}
menuentry 'LinuxMint GNU/Linux, with Linux 3.2.0-2-amd64' --class linuxmint --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	echo	'Loading Linux 3.2.0-2-amd64 ...'
	linux	/vmlinuz-3.2.0-2-amd64 root=/dev/mapper/root ro  quiet splash i915.modeset=1 video=1280x800-24@60 pcie_aspm=force acpi_osi=Linux acpi_apic_instance=2
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-3.2.0-2-amd64
}
menuentry 'LinuxMint GNU/Linux, with Linux 3.2.0-2-amd64 (recovery mode)' --class linuxmint --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	echo	'Loading Linux 3.2.0-2-amd64 ...'
	linux	/vmlinuz-3.2.0-2-amd64 root=/dev/mapper/root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-3.2.0-2-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	linux16	/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	linux16	/memtest86+.bin console=ttyS0,115200n8
}
menuentry "Memory test (memtest86+, experimental multiboot)" {
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	multiboot	/memtest86+_multiboot.bin
}
menuentry "Memory test (memtest86+, serial console 115200, experimental multiboot)" {
	insmod part_msdos
	insmod ext2
	set root='(hd1,msdos5)'
	search --no-floppy --fs-uuid --set=root ad33bdb0-637d-4fe2-a7e8-031b71d4aae4
	multiboot	/memtest86+_multiboot.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Windows 7 (loader) (on /dev/sda1)" --class windows --class os {
	insmod part_msdos
	insmod ntfs
	set root='(hd1,msdos1)'
	search --no-floppy --fs-uuid --set=root 9ACC581FCC57F3CB
	chainloader +1
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

*********************** BEGIN /proc/mdstat
cat: /proc/mdstat: No such file or directory
*********************** END /proc/mdstat

*********************** BEGIN /dev/disk/by-id
total 0
lrwxrwxrwx 1 root root  9 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ -> ../../sda
lrwxrwxrwx 1 root root 10 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part3 -> ../../sda3
lrwxrwxrwx 1 root root 10 Mar 20 09:11 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part5 -> ../../sda5
lrwxrwxrwx 1 root root 10 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part6 -> ../../sda6
lrwxrwxrwx 1 root root 10 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part7 -> ../../sda7
lrwxrwxrwx 1 root root 10 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part8 -> ../../sda8
lrwxrwxrwx 1 root root 10 Mar 18 12:49 ata-FUJITSU_MHY2160BH_K405T822HFRJ-part9 -> ../../sda9
lrwxrwxrwx 1 root root  9 Mar 18 12:49 ata-Optiarc_DVD_RW_AD-7530B_30647810_1314914Q111 -> ../../sr0
lrwxrwxrwx 1 root root 10 Mar 18 12:49 dm-name-dpkg -> ../../dm-3
lrwxrwxrwx 1 root root 10 Mar 18 12:49 dm-name-home -> ../../dm-2
lrwxrwxrwx 1 root root 10 Mar 18 13:49 dm-name-root -> ../../dm-0
lrwxrwxrwx 1 root root 10 Mar 18 13:49 dm-name-swap -> ../../dm-1
lrwxrwxrwx 1 root root 10 Mar 18 12:49 dm-uuid-CRYPT-LUKS1-28f91cf542384e2aa06593e9318ea661-dpkg_unformatted -> ../../dm-3
lrwxrwxrwx 1 root root 10 Mar 18 13:49 dm-uuid-CRYPT-LUKS1-2d4015209c03411bb5cf2d7cb4e79fa5-root -> ../../dm-0
lrwxrwxrwx 1 root root 10 Mar 18 12:49 dm-uuid-CRYPT-LUKS1-6e8a7d8344594822b93bb913829296b4-home_unformatted -> ../../dm-2
lrwxrwxrwx 1 root root 10 Mar 18 13:49 dm-uuid-CRYPT-LUKS1-bf155d06ab29478f95256fa62f77da03-swap -> ../../dm-1
lrwxrwxrwx 1 root root 13 Mar 20 08:11 memstick-SA02G_0x22eaeeea -> ../../mmcblk0
lrwxrwxrwx 1 root root  9 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ -> ../../sda
lrwxrwxrwx 1 root root 10 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part3 -> ../../sda3
lrwxrwxrwx 1 root root 10 Mar 20 09:11 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part5 -> ../../sda5
lrwxrwxrwx 1 root root 10 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part6 -> ../../sda6
lrwxrwxrwx 1 root root 10 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part7 -> ../../sda7
lrwxrwxrwx 1 root root 10 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part8 -> ../../sda8
lrwxrwxrwx 1 root root 10 Mar 18 12:49 scsi-SATA_FUJITSU_MHY2160_K405T822HFRJ-part9 -> ../../sda9
lrwxrwxrwx 1 root root  9 Mar 18 12:49 wwn-0x500000e041a39680 -> ../../sda
lrwxrwxrwx 1 root root 10 Mar 18 12:49 wwn-0x500000e041a39680-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Mar 18 12:49 wwn-0x500000e041a39680-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Mar 18 12:49 wwn-0x500000e041a39680-part3 -> ../../sda3
lrwxrwxrwx 1 root root 10 Mar 20 09:11 wwn-0x500000e041a39680-part5 -> ../../sda5
lrwxrwxrwx 1 root root 10 Mar 18 12:49 wwn-0x500000e041a39680-part6 -> ../../sda6
lrwxrwxrwx 1 root root 10 Mar 18 12:49 wwn-0x500000e041a39680-part7 -> ../../sda7
lrwxrwxrwx 1 root root 10 Mar 18 12:49 wwn-0x500000e041a39680-part8 -> ../../sda8
lrwxrwxrwx 1 root root 10 Mar 18 12:49 wwn-0x500000e041a39680-part9 -> ../../sda9
*********************** END /dev/disk/by-id

*********************** BEGIN /dev/disk/by-uuid
total 0
lrwxrwxrwx 1 root root 10 Mar 18 12:49 28f91cf5-4238-4e2a-a065-93e9318ea661 -> ../../sda7
lrwxrwxrwx 1 root root 10 Mar 18 12:49 2d401520-9c03-411b-b5cf-2d7cb4e79fa5 -> ../../sda9
lrwxrwxrwx 1 root root 10 Mar 18 13:49 4d750982-ce99-44bc-b1e1-798d48f13eba -> ../../dm-1
lrwxrwxrwx 1 root root 10 Mar 18 13:49 55cde835-75c8-411d-be2a-458f1c05c5ec -> ../../dm-0
lrwxrwxrwx 1 root root 10 Mar 18 12:49 6e8a7d83-4459-4822-b93b-b913829296b4 -> ../../sda8
lrwxrwxrwx 1 root root 10 Mar 18 12:49 9ACC581FCC57F3CB -> ../../sda1
lrwxrwxrwx 1 root root 13 Mar 20 08:11 C871-3D8E -> ../../mmcblk0
lrwxrwxrwx 1 root root 10 Mar 20 09:11 ad33bdb0-637d-4fe2-a7e8-031b71d4aae4 -> ../../sda5
lrwxrwxrwx 1 root root 10 Mar 18 12:49 bf155d06-ab29-478f-9525-6fa62f77da03 -> ../../sda6
lrwxrwxrwx 1 root root 10 Mar 18 12:49 c4d427b2-e943-45ef-9968-cd1e3639ddb6 -> ../../dm-2
lrwxrwxrwx 1 root root 10 Mar 18 12:49 cf4b24f6-996f-476e-9bf2-0ada9bc0a9b8 -> ../../dm-3
*********************** END /dev/disk/by-uuid

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (600, 'unstable'), (600, 'testing'), (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-10.dmz.1-liquorix-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=cs_CZ.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]  1.5.42
ii  grub-common            1.99-17
ii  grub-pc-bin            1.99-17
ii  grub2-common           1.99-17
ii  ucf                    3.0025+nmu2

grub-pc recommends no packages.

grub-pc suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#664718; Package grub-pc. (Wed, 04 Apr 2012 06:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Moc <jakub.moc@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 04 Apr 2012 06:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 664718@bugs.debian.org (full text, mbox):

From: Jakub Moc <jakub.moc@gmail.com>
To: 664718@bugs.debian.org
Subject: Re: Bug#664718: Info received (grub-pc 1.99-18: grub-setup: error: cannot read `/grub/core.img' correctly)
Date: Wed, 4 Apr 2012 08:49:19 +0200
The above error about inability to read core.img got replaced with
"error: non-sector-aligned data is found in the core file" somewhere
between 1.99-19 and 1.99-20 (which got fixed 1.99-21 - #666992) so
this I guess may be closed).

(For people hitting the same, I could work around it by reformatting
/boot to ext3 on *some* of the affected systems. NFC. Running
grub-setup with --debug showed that it really was unable to find the
file, would suggest some cryptic bug in ext2.mod. Systems with grub
installed to MBR were unaffected, however that is not really an option
for everyone, e.g. cannot be used on dual-boot boxes using
Bitlocker-encrypted Vista/W7 system partition.)




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#664718; Package grub-pc. (Thu, 05 Apr 2012 09:40:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 05 Apr 2012 09:41:05 GMT) Full text and rfc822 format available.

Message #15 received at 664718@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Jakub Moc <jakub.moc@gmail.com>, 664718@bugs.debian.org
Subject: Re: Bug#664718: Info received (grub-pc 1.99-18: grub-setup: error: cannot read `/grub/core.img' correctly)
Date: Thu, 5 Apr 2012 09:49:06 +0100
On Wed, Apr 04, 2012 at 08:49:19AM +0200, Jakub Moc wrote:
> The above error about inability to read core.img got replaced with
> "error: non-sector-aligned data is found in the core file" somewhere
> between 1.99-19 and 1.99-20 (which got fixed 1.99-21 - #666992) so
> this I guess may be closed).

The fix in 1.99-21 was just to fix the regression in 1.99-19.  Did it
really fix this bug as well?  I wasn't expecting it to.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#664718; Package grub-pc. (Tue, 17 Apr 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Roguin <nesdavid@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 17 Apr 2012 11:21:16 GMT) Full text and rfc822 format available.

Message #20 received at 664718@bugs.debian.org (full text, mbox):

From: David Roguin <nesdavid@gmail.com>
To: 664718@bugs.debian.org
Subject: grub-pc 1.99-18: grub-setup: error: cannot read `/grub/core.img' correctly
Date: Tue, 17 Apr 2012 08:17:39 -0300
This is still happening with version 1.99-21 which recently hit testing.
After the upgrade the system can no longer boot and I'm unable to
install grub on the MBR.

-- 
David




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:32:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.